# TdApi.UpdateMessageInteractionInfo (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: UpdateMessageInteractionInfo

Package it.tdlight.jni

# Class TdApi.UpdateMessageInteractionInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateMessageInteractionInfo

Enclosing class:
  TdApi

    public static class TdApi.UpdateMessageInteractionInfo
    extends TdApi.Update

The information about interactions with a message has changed.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `chatId` | Chat identifier.
`static int` | `CONSTRUCTOR` |
`TdApi.MessageInteractionInfo` | `interactionInfo` | New information about interactions with the message; may be null.
`long` | `messageId` | Message identifier.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UpdateMessageInteractionInfo()` | The information about interactions with a message has changed.
`UpdateMessageInteractionInfo​(long chatId, long messageId, TdApi.MessageInteractionInfo interactionInfo)` | The information about interactions with a message has changed.
`UpdateMessageInteractionInfo​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### messageId

public long messageId
Message identifier.

### interactionInfo

public TdApi.MessageInteractionInfo interactionInfo
New information about interactions with the message; may be null.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### UpdateMessageInteractionInfo

public UpdateMessageInteractionInfo()
The information about interactions with a message has changed.

### UpdateMessageInteractionInfo

public UpdateMessageInteractionInfo​(long chatId, long messageId, TdApi.MessageInteractionInfo interactionInfo)
The information about interactions with a message has changed.

Parameters:
  `chatId` - long Chat identifier.
  `messageId` - long Message identifier.
  `interactionInfo` - MessageInteractionInfo New information about interactions with the message; may be null.

### UpdateMessageInteractionInfo

public UpdateMessageInteractionInfo​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`